<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":4,"i7":2,"i8":2,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":2,"i15":2,"i16":2,"i17":2,"i18":2,"i19":2,"i20":2,"i21":2,"i22":2,"i23":2,"i24":2,"i25":2,"i26":2,"i27":2,"i28":2,"i29":2,"i30":2,"i31":2,"i32":2,"i33":2,"i34":2,"i35":2,"i36":2,"i37":2,"i38":2,"i39":2,"i40":2,"i41":2,"i42":2,"i43":2,"i44":2,"i45":2};
var tabs = {65535:["t0","All Classes"],2:["t2","Class Summary"],4:["t3","Enum Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Enum Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="controllers/AddUserController.html" title="class in controllers">AddUserController</a></td>
<th class="colLast" scope="row">
<div class="block">AddUserController is the class which manage the event from the view to add a user</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="views/AddUserView.html" title="class in views">AddUserView</a></td>
<th class="colLast" scope="row">
<div class="block">AddUserView class, inherits JFrame class, is used to create the view to add a user</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="model/classes/Call.html" title="class in model.classes">Call</a></td>
<th class="colLast" scope="row">
<div class="block">Call class is used to instance object representing a call</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="model/DAO/CallDAO.html" title="class in model.DAO">CallDAO</a></td>
<th class="colLast" scope="row">
<div class="block">CallDAO, inherits DAO class, is used to get call data from database</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="model/DAO/ConnectionPostgreSql.html" title="class in model.DAO">ConnectionPostgreSql</a></td>
<th class="colLast" scope="row">
<div class="block">ConnectionPostgreSql class is used to establish a secure connection with postgresql database</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="model/DAO/DAO.html" title="class in model.DAO">DAO</a>&lt;<a href="model/DAO/DAO.html" title="type parameter in DAO">T</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Abstract class DAO</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="type/Direction.html" title="enum in type">Direction</a></td>
<th class="colLast" scope="row">
<div class="block">Direction enumeration type is used to specify call direction</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="encryption/Encryption.html" title="class in encryption">Encryption</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="model/classes/ExternPerson.html" title="class in model.classes">ExternPerson</a></td>
<th class="colLast" scope="row">
<div class="block">ExternPerson class, inherits Person class, is used to instance object representing the extern person of a call</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="model/DAO/ExternPersonDAO.html" title="class in model.DAO">ExternPersonDAO</a></td>
<th class="colLast" scope="row">
<div class="block">ExternPersonDAO, inherits DAO class, is used to get extern person data from database</div>
</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="controllers/LoginController.html" title="class in controllers">LoginController</a></td>
<th class="colLast" scope="row">
<div class="block">LoginController is the class which manage the event from the login view</div>
</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="views/LoginView.html" title="class in views">LoginView</a></td>
<th class="colLast" scope="row">
<div class="block">LoginView class, inherits JFrame class, is used to create the view to login</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="controllers/Main.html" title="class in controllers">Main</a></td>
<th class="colLast" scope="row">
<div class="block">Main class of Moshi-moshi, this is where it all begins.</div>
</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="controllers/MainController.html" title="class in controllers">MainController</a></td>
<th class="colLast" scope="row">
<div class="block">MainController is the class which manage the event from the main view</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="views/MainView.html" title="class in views">MainView</a></td>
<th class="colLast" scope="row">
<div class="block">MainView class, inherits JFrame class, is used to create the main view</div>
</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="controllers/ModifDelController.html" title="class in controllers">ModifDelController</a></td>
<th class="colLast" scope="row">
<div class="block">ModifDelController is the class which manage the event from the view to edit or delete a user</div>
</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="views/ModifDelView.html" title="class in views">ModifDelView</a></td>
<th class="colLast" scope="row">
<div class="block">ModifDelView class, inherits JFrame class, is used to create the view to edit or delete a user</div>
</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="model/classes/Permission.html" title="class in model.classes">Permission</a></td>
<th class="colLast" scope="row">
<div class="block">Permission class is used to instance object representing the permission of a role</div>
</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="model/DAO/PermissionDAO.html" title="class in model.DAO">PermissionDAO</a></td>
<th class="colLast" scope="row">
<div class="block">PermissionDAO, inherits DAO class, is used to get permission data from database</div>
</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="model/classes/Person.html" title="class in model.classes">Person</a></td>
<th class="colLast" scope="row">
<div class="block">Permission class is used to instance object representing a person</div>
</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="model/DAO/PersonDAO.html" title="class in model.DAO">PersonDAO</a></td>
<th class="colLast" scope="row">
<div class="block">PersonDAO, inherits DAO class, is used to get person data from database</div>
</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="model/classes/Role.html" title="class in model.classes">Role</a></td>
<th class="colLast" scope="row">
<div class="block">Role class is used to instance object representing the role of a user</div>
</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="model/DAO/RoleDAO.html" title="class in model.DAO">RoleDAO</a></td>
<th class="colLast" scope="row">
<div class="block">RoleDAO, inherits DAO class, is used to get role data from database</div>
</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="model/classes/RolePermission.html" title="class in model.classes">RolePermission</a></td>
<th class="colLast" scope="row">
<div class="block">RolePermission class is used to instance object representing the association of a role and a permission</div>
</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="model/DAO/RolePermissionDAO.html" title="class in model.DAO">RolePermissionDAO</a></td>
<th class="colLast" scope="row">
<div class="block">RolePermissionDAO, inherits DAO class, is used to get role permission data from database</div>
</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="model/classes/Status.html" title="class in model.classes">Status</a></td>
<th class="colLast" scope="row">
<div class="block">Status class is used to instance object representing a call status</div>
</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="model/DAO/StatusDAO.html" title="class in model.DAO">StatusDAO</a></td>
<th class="colLast" scope="row">
<div class="block">StatusDAO, inherits DAO class, is used to get status data from database</div>
</th>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><a href="table/TableColorRenderer.html" title="class in table">TableColorRenderer</a></td>
<th class="colLast" scope="row">
<div class="block">TableColorRenderer class is used to color the status cell in the operator table</div>
</th>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><a href="tests/TestsCall.html" title="class in tests">TestsCall</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the Call class</div>
</th>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><a href="tests/TestsCallDAO.html" title="class in tests">TestsCallDAO</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the CallDAO class</div>
</th>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><a href="tests/TestsExternPerson.html" title="class in tests">TestsExternPerson</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the ExternPerson class</div>
</th>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><a href="tests/TestsExternPersonDAO.html" title="class in tests">TestsExternPersonDAO</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the TestsExternPersonDAO class</div>
</th>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><a href="tests/TestsPermission.html" title="class in tests">TestsPermission</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the Permission class</div>
</th>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><a href="tests/TestsPermissionDAO.html" title="class in tests">TestsPermissionDAO</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the PermissionDAO class</div>
</th>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><a href="tests/TestsPerson.html" title="class in tests">TestsPerson</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the Person class</div>
</th>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><a href="tests/TestsPersonDAO.html" title="class in tests">TestsPersonDAO</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the PersonDAO class</div>
</th>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><a href="tests/TestsRole.html" title="class in tests">TestsRole</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the Role class</div>
</th>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><a href="tests/TestsRoleDAO.html" title="class in tests">TestsRoleDAO</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the RoleDAO class</div>
</th>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><a href="tests/TestsRolePermission.html" title="class in tests">TestsRolePermission</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the RolePermission class</div>
</th>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><a href="tests/TestsRolePermissionDAO.html" title="class in tests">TestsRolePermissionDAO</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the RolePermissionDAO class</div>
</th>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><a href="tests/TestsStatus.html" title="class in tests">TestsStatus</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the Status class</div>
</th>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><a href="tests/TestsStatusDAO.html" title="class in tests">TestsStatusDAO</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the StatusDAO class</div>
</th>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><a href="tests/TestsUser.html" title="class in tests">TestsUser</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the User class</div>
</th>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><a href="tests/TestsUserDAO.html" title="class in tests">TestsUserDAO</a></td>
<th class="colLast" scope="row">
<div class="block">The test class for the UserDAO class</div>
</th>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><a href="model/classes/User.html" title="class in model.classes">User</a></td>
<th class="colLast" scope="row">
<div class="block">User class, inherits Person class, is used to instance object representing an operator or a supervisor</div>
</th>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><a href="model/DAO/UserDAO.html" title="class in model.DAO">UserDAO</a></td>
<th class="colLast" scope="row">
<div class="block">UserDAO, inherits DAO class, is used to get user data from database</div>
</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
